Set a counterpart's default contact

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

contact_idstringRequired
ID of the contact you want to make default.
counterpart_idstringRequired

ID of a counterpart whose contact you want to update. Only organization-type counterparts can have contacts.

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Response

Successful Response
idstringformat: "uuid"
A unique ID assigned to this counterpart contact.
addressobject
The address of a contact person.
counterpart_idstringformat: "uuid"
ID of the counterpart to which this contact belongs.
first_namestring<=100 characters
The first name of a contact person.
is_defaultboolean

Indicates whether this contact is the default one. The default contact is used to fill in the counterpart’s contact details when you create invoices and quotes for this counterpart.

To select another contact as the default one, use POST /counterparts/{counterpart_id}/contacts/{contact_id}/make_default.

last_namestring<=100 characters
The last name of a contact person.
emailstringformat: "email"
The email address of a contact person.
phonestring<=100 characters
The phone number of a contact person
titlestring<=100 characters

The title or honorific of a contact person. Examples: Mr., Ms., Dr., Prof.

Errors

401
Post Counterparts ID Contacts ID Make Default Request Unauthorized Error
403
Post Counterparts ID Contacts ID Make Default Request Forbidden Error
404
Post Counterparts ID Contacts ID Make Default Request Not Found Error
409
Post Counterparts ID Contacts ID Make Default Request Conflict Error
422
Post Counterparts ID Contacts ID Make Default Request Unprocessable Entity Error
429
Post Counterparts ID Contacts ID Make Default Request Too Many Requests Error